# Package-wide constants

# Trading constants
TRADING_DAYS_PER_YEAR = 252

# Default window sizes
DEFAULT_SHARPE_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_SORTINO_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_VOLATILITY_WINDOW = 10
DEFAULT_DRAWDOWN_WINDOW = 181
DEFAULT_CALMAR_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_CVAR_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_VAR_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_SEMIDEVIATION_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_AVGDRAWDOWN_WINDOW = 181
DEFAULT_ULCER_WINDOW = 181
DEFAULT_MAD_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_ERM_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_EVAR_WINDOW = TRADING_DAYS_PER_YEAR
DEFAULT_CDAR_WINDOW = 181
DEFAULT_EDAR_WINDOW = 181

# VaR specific default-values
DEFAULT_VAR_HOLDING_PERIOD = 10
DEFAULT_VAR_CONFIDENCE = 0.99
VALID_VAR_SCALING_METHODS = {'sqrt_time', 'overlapping'}
VALID_VAR_METHODS = {'historical', 'parametric'}

# Default values
DEFAULT_CONFIDENCE = 0.99


# Valid options for data
VALID_INTERVALS = {'1m', '15m', '60m', '1h', '1d', '1wk', '1mo'}
VALID_COLUMNS = {'Open', 'High', 'Low', 'Close', 'Adj Close', 'Volume'}
